Bug 483544 - Certain USB DVD-units won't be recognized while loading anaconda from the same DVD-unit.
Certain USB DVD-units won't be recognized while loading anaconda from the sam...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 05:49 EST by ricky
Modified: 2009-05-19 16:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 16:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ricky 2009-02-02 05:49:35 EST
Description of problem:
Certain USB DVD-units won't be recognized while loading anaconda from the same DVD-unit.

Version-Release number of selected component (if applicable):


How reproducible:
Tested with TSSCorp (Samsung) External DVD RW (2 different models). BIOS recognizes drive and boots the install DVD. At startup while probing it doesn't recognize the drive and of course won't find any installation source. If I connect a USB-device like a USB-drive it starts the usb-storage sub-system and finds the DVD-drive. It seems the recognition code for external USB DVD-drives doesn't find all possible units.

Additional info:
I've seen this with RHEL-4, RHEL-5 and even fedora, though I haven't tried Fedora 10.
Comment 1 Chris Lumens 2009-02-02 11:35:23 EST
Which stage of anaconda are you in when the device is not detected?  Have you gotten into the graphical stage2?  Is this reproduceable with F10?
Comment 2 ricky 2009-02-02 11:45:07 EST
(In reply to comment #1)
> Which stage of anaconda are you in when the device is not detected?  Have you
> gotten into the graphical stage2?  Is this reproduceable with F10?

I will have to try with F10 but I'll have to do that later this week.

It's between pressing return in isolinux (linux text) and loading the installation process. The process starts but can't find any USB-devices (the only device connected when it doesn't work is the DVD).
Comment 3 ricky 2009-04-27 07:09:15 EDT
Sorry for the delay!

Yes, it seems to work in F10. 

So, it's an older bug then...

Thanks anyway.

Rickard
Comment 4 Chris Lumens 2009-05-19 16:42:13 EDT
Good to know this will be fixed in the next major release of RHEL, then.  Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.